Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

C#
Visual Basic
Visual C++
Include Protected Members
Include Inherited Members

Berkeley DB .NET API Documentation
QueueStats Members
QueueStats Class Methods Properties See Also Send Feedback

The QueueStats type exposes the following members.

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| DataPages | Data pages.
| DataPagesBytesFree | Bytes free in data pages.
| FirstRecordNumber | First not deleted record.
| MagicNumber | Magic number.
| MetadataFlags | Metadata flags.
| nData | Number of data items.
| NextRecordNumber | Next available record number.
| nKeys | Number of unique keys.
| PageSize | Page size.
| PagesPerExtent | Pages per extent.
| RecordLength | Fixed-length record length.
| RecordPadByte | Fixed-length record pad.
| Version | Version number.

# See Also

QueueStats Class
BerkeleyDB Namespace